Page MenuHomePhabricator

Page Preview removal of parenthesis may also remove style closing tags
Closed, DeclinedPublic

Description

On English Wikipedia, page preview seems to generate the preview part partly by removing parentheses from the lead graph. This breaks for broken inputs like The '''Lorem Ipsum ('''blah blah) is, where the bold-closing tag is removed with the parenthesized part and everthing that follows becomes bold.

For a real-life example, see https://en.wikipedia.org/w/index.php?title=MAS-36_rifle&diff=prev&oldid=891302137.

Event Timeline

Arthur2e5 created this task.Apr 7 2019, 1:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2019, 1:49 AM
Arthur2e5 updated the task description. (Show Details)Apr 7 2019, 1:49 AM
Arthur2e5 updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

I guess this might be an edge case with parenthetical stripping but I haven't investigated. Next step would be to run https://en.wikipedia.org/api/rest_v1/summary/MAS-36_rifle/891302137 locally and check if there is a problem with the output based on the input or whether this is a case of "garbage in garbage out".

I partially agree with calling this GIGO too. Those sort of things are not supposed to appear in pages anyway.

LGoto triaged this task as Lowest priority.Apr 17 2019, 3:39 PM
LGoto moved this task from Needs triage to Tracking on the Product-Infrastructure-Team-Backlog board.

I partially agree with calling this GIGO too. Those sort of things are not supposed to appear in pages anyway.

The input

'''MAS Modèle 36 ('''a
`

looks unexpected to me as the ( is inside the italics. I think this would be excessive code for something much more easily fixed by users, so personally I'd recommend declining this bug.

Mholloway closed this task as Declined.Apr 23 2019, 1:29 PM
Mholloway added a subscriber: Mholloway.

Not sure why this was moved to Tracking on the RI board, but I agree this is a case of GIGO and should be declined.